[package]
authors = ["Bilal Elmoussaoui <bil.elmoussaoui@gmail.com>"]
build = "build.rs"
categories = ["api-bindings", "os::unix-apis"]
description = "GEGL FFI Bindings"
documentation = "https://world.pages.gitlab.gnome.org/Rust/gegl-rs/gegl_sys/"
edition = "2021"
keywords = ["gegl", "sys", "glib", "gnome"]
license = "GPL-3.0-or-later"
name = "gegl-sys"
repository = "https://gitlab.gnome.org/World/Rust/gegl-rs"
version = "0.2.0"

[package.metadata.system-deps.gegl]
name = "gegl-0.4"
version = "0.4"

[package.metadata.system-deps.gegl_0_4]
name = "gegl-0.4"
version = "0.1"

[package.metadata.system-deps.gegl_0_4.v0_4_2]
version = "0.4.2"

[package.metadata.system-deps.gegl_0_4.v0_4_14]
version = "0.4.14"

[package.metadata.docs.rs]
features = []
rustc-args = ["--cfg", "docsrs"]
rustdoc-args = ["--cfg", "docsrs", "--generate-link-to-definition"]

[lib]
name = "gegl_sys"

[build-dependencies]
pkg-config = "0.3.7"
system-deps = "7"

[dependencies]
libc = "0.2"

[dependencies.babl-sys]
path = "./../../babl/sys"
version = "^0.1.0"

[dependencies.glib-sys]
version = "0.20"

[dependencies.gobject-sys]
version = "0.20"

[dev-dependencies]
shell-words = "1.0.0"
tempfile = "3"

[features]
v0_4_14 = ["v0_4_2"]
v0_4_2 = []
